
Name:		mp3diags
Version:	1.2.03
Release:	%mkrel 3
Summary:	Find and fix Problems in MP3 Files
Source:         http://web.clicknet.ro/mciobanu/mp3diags/MP3Diags-%{version}.tar.xz
URL:		http://mp3diags.sourceforge.net
Group:		Sound
License:	GNU General Public License version 2 (GPL v2)
BuildRoot:	%{_tmppath}/build-%{name}-%{version}
BuildRequires:	libboost-devel
BuildRequires:	libqt4-devel
BuildRequires:	zlib-devel
BuildRequires:	gcc-c++ make glibc-devel


%description
MP3 Diags finds problems in MP3 files and helps the user fix many of them. It
looks at both the audio part (VBR info, quality, normalization) and the tags
containing track information (ID3). It has a tag editor, which can download
album information (including cover art) from MusicBrainz and Discogs, as well
as paste data from the clipboard. Track information can also be extracted from
a file's name. Another component is the file renamer, which can rename files
based on the fields in their ID3V2 tag (artist, track number, album, genre,
etc.).

%prep
%setup -q -n MP3Diags-%version

./AdjustMt.sh STATIC_SER

%build

%{_libdir}/qt4/bin/qmake
%{_libdir}/qt4/bin/lrelease src/src.pro

make
strip $RPM_BUILD_DIR/MP3Diags-%{version}/bin/MP3Diags

%install
rm -rf %buildroot

echo mkdir $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp $RPM_BUILD_DIR/MP3Diags-%{version}/bin/MP3Diags $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cp $RPM_BUILD_DIR/MP3Diags-%{version}/desktop/MP3Diags.desktop $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps
cp $RPM_BUILD_DIR/MP3Diags-%{version}/desktop/MP3Diags16.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/MP3Diags.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps
cp $RPM_BUILD_DIR/MP3Diags-%{version}/desktop/MP3Diags22.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/22x22/apps/MP3Diags.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
cp $RPM_BUILD_DIR/MP3Diags-%{version}/desktop/MP3Diags24.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/MP3Diags.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
cp $RPM_BUILD_DIR/MP3Diags-%{version}/desktop/MP3Diags32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/MP3Diags.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/36x36/apps
cp $RPM_BUILD_DIR/MP3Diags-%{version}/desktop/MP3Diags36.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/36x36/apps/MP3Diags.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/40x40/apps
cp $RPM_BUILD_DIR/MP3Diags-%{version}/desktop/MP3Diags40.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/40x40/apps/MP3Diags.png
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
cp $RPM_BUILD_DIR/MP3Diags-%{version}/desktop/MP3Diags48.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/MP3Diags.png

desktop-file-install --vendor="" \
      --add-category="X-MandrivaLinux-Multimedia-Sound" \
     --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*


%post
%{update_desktop_database}
%update_icon_cache hicolor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc changelog.txt COPYING
%{_bindir}/MP3Diags
%{_datadir}/applications/MP3Diags.desktop
%{_datadir}/icons/hicolor/16x16/apps/MP3Diags.png
%{_datadir}/icons/hicolor/22x22/apps/MP3Diags.png
%{_datadir}/icons/hicolor/24x24/apps/MP3Diags.png
%{_datadir}/icons/hicolor/32x32/apps/MP3Diags.png
%{_datadir}/icons/hicolor/36x36/apps/MP3Diags.png
%{_datadir}/icons/hicolor/40x40/apps/MP3Diags.png
%{_datadir}/icons/hicolor/48x48/apps/MP3Diags.png

%changelog
* Sun Sep 18 2022 tex - 1.2.03-3pclos2022
- rebuild against updates

* Wed Sep 29 2021 tex - 1.2.03-2pclos2021
- rebuild against updates

* Tue Jul 30 2019 tex - 1.2.0.3-1pclos2019
- new
